hpp-constraints: hpp::constraints::solver::lineSearch::ErrorNormBased Struct Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::constraints::solver::lineSearch::ErrorNormBased Struct Reference

`#include <hpp/constraints/solver/hierarchical-iterative.hh>`

## Public Member Functions
| ErrorNormBased (value_type alphaMin, value_type _a, value_type _b)
| ErrorNormBased (value_type alphaMin=0.2)
template<typename SolverType >
bool | operator() (const SolverType &solver, vectorOut_t arg, vectorOut_t darg)

## Public Attributes
value_type | C
value_type | K
value_type | a
value_type | b

## Detailed Description

The step size is computed using the formula , where

- is the error threshold: if , is considered to satisfy the constraint.

## Constructor & Destructor Documentation

## ◆ ErrorNormBased() [1/2]

hpp::constraints::solver::lineSearch::ErrorNormBased::ErrorNormBased | ( | value_type | alphaMin,
|  | value_type | _a,
|  | value_type | _b )

## ◆ ErrorNormBased() [2/2]

hpp::constraints::solver::lineSearch::ErrorNormBased::ErrorNormBased | ( | value_type | alphaMin = 0.2 | ) |

## Member Function Documentation

## ◆ operator()()

template<typename SolverType >

bool hpp::constraints::solver::lineSearch::ErrorNormBased::operator() | ( | const SolverType & | solver,
|  | vectorOut_t | arg,
|  | vectorOut_t | darg )
| inline

## Member Data Documentation

## ◆ a

value_type hpp::constraints::solver::lineSearch::ErrorNormBased::a

## ◆ b

value_type hpp::constraints::solver::lineSearch::ErrorNormBased::b

## ◆ C

value_type hpp::constraints::solver::lineSearch::ErrorNormBased::C

## ◆ K

value_type hpp::constraints::solver::lineSearch::ErrorNormBased::K

The documentation for this struct was generated from the following files:

- include/hpp/constraints/solver/hierarchical-iterative.hh
- include/hpp/constraints/solver/impl/hierarchical-iterative.hh